### Function

# Gio FileProgressCallback

#### Declaration

    void
    (* GFileProgressCallback) (
      goffset current_num_bytes,
      goffset total_num_bytes,
      gpointer data
    )

#### Description [src]

When doing file operations that may take a while, such as moving a file or copying a file, a progress callback is used to pass how far along that operation is to the application.

#### Parameters

`current_num_bytes`

  Type: `goffset`

  The current number of bytes in the operation.

`total_num_bytes`

  Type: `goffset`

  The total number of bytes in the operation.

`data`

  Type: `gpointer`

  User data passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.